Subject: Re: SATA FSL and upstreaming

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 16 May 2013 16:52:13 +1000

On Thu, 2013-05-16 at 06:48 +0000, Bhushan Bharat-R65777 wrote:

> 1) Load RCW as Tiejun on some address in DDR.
> 
> 2) Brun RCW at 0xec000000:
> protect off 0xec000000 +$filesize; erase 0xec000000 +$filesize; cp.b 0x1000000 0xec000000 $filesize

Done.

> 3) run " pix altbak" command
> 
> 4) check you are on bank4

It stays on bank 0

Also, before I flashed the rcw, I tried messing with SW7[1:4] and got it
to book to bank 4 once (I think I changed DIP 2 or 3). Now, after the
new RCW is in, it won't boot with any other setting than bank 0 however.

Cheers,
Ben.

> 5) If you are luckier then networking will work for you.
> 
> Thanks
> -Bharat
> 
> > 
> > Tiejun
>